<!--breadcrumb-->
<div class="page-breadcrumb d-none d-sm-flex align-items-center mb-3">
    <div class="breadcrumb-title pe-3">eCommerce</div>
    <div class="ps-3">
        <nav aria-label="breadcrumb">
            <ol class="breadcrumb mb-0 p-0">
                <li class="breadcrumb-item"><a href="#" (click)="$event.preventDefault()"><i class="bx bx-home-alt"></i></a>
                </li>
                <li class="breadcrumb-item active" aria-current="page" >Ajouter un Hotêl</li>
            </ol>
        </nav>
    </div>
    <div class="ms-auto">
        <div class="btn-group">
            <button type="button" class="btn btn-primary">Settings</button>
            <button type="button" class="btn btn-primary split-bg-primary dropdown-toggle dropdown-toggle-split" data-bs-toggle="dropdown">	<span class="visually-hidden">Toggle Dropdown</span>
            </button>
            <div class="dropdown-menu dropdown-menu-right dropdown-menu-lg-end">	<a class="dropdown-item" href="#" (click)="$event.preventDefault()">Action</a>
                <a class="dropdown-item" href="#" (click)="$event.preventDefault()">Another action</a>
                <a class="dropdown-item" href="#" (click)="$event.preventDefault()">Something else here</a>
                <div class="dropdown-divider"></div>	<a class="dropdown-item" href="#" (click)="$event.preventDefault()">Separated link</a>
            </div>
        </div>
    </div>
</div>
<!--end breadcrumb-->

<div class="card">
  <div class="card-body p-4">
      <h5 class="card-title">Add New Product</h5>
      <hr/>
      <form [formGroup]="form" >
       <div class="form-body mt-4">
        <div class="row">
           <div class="col-lg-8">
           <div class="border border-3 p-4 rounded">
            <div class="mb-3">
                <label for="inputProductTitle" class="form-label">Nom Hotêl</label>
                <input type="text" formControlName="nom" class="form-control"  [ngClass]="{ 'is-invalid': submitted && f['nom'].errors }" id="inputProductTitle" placeholder="Enter le nom d'hotel" >
                <div *ngIf="submitted && f['nom'].errors" class="invalid-feedback">
                  <div *ngIf="f['nom'].errors.required">Le nom est obligatoire !</div>
                </div>
             </div>
          
              <div class="mb-3">
                <label for="inputProductDescription"  [ngClass]="{ 'is-invalid': submitted && f['description'].errors }" class="form-label">Description</label>
                <textarea class="form-control" id="inputProductDescription" rows="3" formControlName="description"></textarea>
                <div *ngIf="submitted && f['description'].errors" class="invalid-feedback">
                  <div *ngIf="f['description'].errors.required">La Description est obligatoire !</div>
                </div>
              </div>
              <div class="mb-3">
                <label for="inputProductDescription" class="form-label">Hotêl Images</label>
                <input id="image-uploadify" type="file" accept=".xlsx,.xls,image/*,.doc,audio/*,.docx,video/*,.ppt,.pptx,.txt,.pdf" multiple  (change)="OnFileChange($event)">
              </div>
            </div>
           </div>
           <div class="col-lg-4">
            <div class="border border-3 p-4 rounded">
              <div class="row g-3">
              
                  
                  <div class="col-12">
                    <label for="inputProductType" [ngClass]="{ 'is-invalid': submitted && f['nbEtoiles'].errors }"  class="form-label">Nombres d'étoiles </label>
                    <select class="form-select" id="inputProductType" formControlName="nbEtoiles">
                        <option></option>
                        <option value="1">One</option>
                        <option value="2">Two</option>
                        <option value="3">Three</option>
                      </select>
                      <div *ngIf="submitted && f['nbEtoiles'].errors" class="invalid-feedback">
                        <div *ngIf="f['nbEtoiles'].errors.required">Le nombres d'etoiles est obligatoire !</div>
                      </div>
                  </div>
                  <div class="col-12">
                    <label for="inputVendor" class="form-label"  [ngClass]="{ 'is-invalid': submitted && f['pays'].errors }">Pays</label>
                    <select [(ngModel)]="country" (change)="setState()" class="form-select" id="inputVendor" formControlName = "pays">
                        
                        <option value="Maroc">Maroc</option>
                        <option value="France">France</option>
                      </select>      <div *ngIf="submitted && f['pays'].errors" class="invalid-feedback">
                        <div *ngIf="f['pays'].errors.required">La ville est obligatoire !</div>
                      </div>
                  </div>
                  <div class="col-12">
                    <label for="inputCollection" class="form-label" >Villes</label>
                    <select class="form-select" id="inputCollection" formControlName="ville">
                        <option *ngFor="let state of states" value="{{state}}">{{state}}</option>
                       
                      </select>
                  </div>
     
                  <div class="col-12">
                      <div class="d-grid">
                         <button type="button" class="btn btn-primary" (click)="onSubmit()">Save Product</button>
                      </div>
                  </div>
              </div> 
          </div>
          </div>
       </div><!--end row-->
       
    </div>
    </form>
  </div>
</div>
